package com.bureau.onetaplogin

import retrofit2.Response
import retrofit2.http.GET
import retrofit2.http.Query

interface NetworkService {
    @GET("v2/auth/initiate")
    suspend fun makeInitializeCall(
        @Query("clientId") clientId: String,
        @Query("correlationId") correlationId: String,
        @Query("msisdn") mobileNumber: String
    ): Response<Void>
}
