package com.bureau.onetaplogin

import java.security.MessageDigest

object Utils {
    fun sha256(s: String): String {
        return try {
            val md = MessageDigest.getInstance("SHA-256")
            md.update(s.toByteArray())
            val bytes = md.digest()
            val buffer = StringBuilder()
            for (aByte in bytes) {
                val tmp = Integer.toString((aByte.toInt() and 0xff) + 0x100, 16).substring(1)
                buffer.append(tmp)
            }
            buffer.toString()
        } catch (e: Exception) {
            ""
        }
    }
}
