package com.bureau.onetaplogin.models

import androidx.annotation.Keep

@Keep
enum class AuthenticationStatus(val message: String) {
    Completed("Authentication flow completed"),
    NetworkUnavailable("Mobile network is not available"),
    OnDifferentNetwork("Device is using a different network"),
    ExceptionOnAuthenticate("Exception occurred while trying to authenticate"),
    UnknownState("Unknown authentication state");
}
